int T = int.Parse(Console.ReadLine());
int n = 0;
int m = 0;
for (int i = 0; i < T; i++)
{
    string[] NM = Console.ReadLine().Split();
    n = int.Parse(NM[0]);
    m = int.Parse(NM[1]);
    
}
for (int k  = 0; k < T; k++)
{
    if (n != m) Console.WriteLine(-1);
    else
    {
        for (int i = 1; i == n; i++)
        {
            for (int j = 0; j < m; j++)
            {
                
            }
        }
    }
}